package com.jeecms.cms.action.directive;

package ..deTemp.1740368611634;

import com.jeecms.common.web.freemarker.DirectiveUtils;
import freemarker.core.Environment;
import freemarker.template.TemplateDirectiveBody;
import freemarker.template.TemplateDirectiveModel;
import freemarker.template.TemplateException;
import freemarker.template.TemplateModel;
import java.io.IOException;
import java.io.InputStream;
import java.io.Writer;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.apache.commons.io.IOUtils;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.message.BasicNameValuePair;

public class DogListDirective implements TemplateDirectiveModel {
  public static final String PARAM_DOGID = "chip";
  
  public static final String PARAM_CPAGE = "cpage";
  
  public void execute(Environment env, Map params, TemplateModel[] loopVars, TemplateDirectiveBody body) throws TemplateException, IOException {
    String chip = DirectiveUtils.getString("chip", params);
    String cpage = DirectiveUtils.getString("cpage", params);
    remoteDogList(env.getOut(), cpage, chip);
  }
  
  private void remoteDogList(Writer o, String cpage, String chip) {
    String remoteUrl = "http://127.0.0.1:8081/jeecms/dogList.htm";
    HttpClient client = HttpClientBuilder.create().build();
    try {
      HttpPost http = new HttpPost(new URI(remoteUrl));
      List<NameValuePair> params = new ArrayList<>();
      if (cpage != null)
        params.add(new BasicNameValuePair("cpage", cpage)); 
      if (chip != null && !"".equals(chip.trim()))
        params.add(new BasicNameValuePair("chip", chip.trim())); 
      if (params.size() > 0)
        http.setEntity(new UrlEncodedFormEntity(params, "utf-8")); 
      HttpResponse response = client.execute(http);
      InputStream is = null;
      HttpEntity entity = null;
      entity = response.getEntity();
      is = entity.getContent();
      IOUtils.copy(is, o, "UTF-8");
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
